%define _disable_ld_no_undefined      1

%define docver  1.4.3
%define oname   ZynAddSubFX

Name:           zynaddsubfx
Version:        2.4.1
Release:        %mkrel 2
Summary:        Real-time MIDI software synthesizer
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/%{name}/%{oname}-doc-%{docver}.tar.gz
Source3:        mandriva-controller.desktop
Source4:        mandriva-spliter.desktop
Source5:        mandriva-zynaddsubfx.desktop
Patch0:         ZynAddSubFX-2.4.1-makefile.patch
# Build fix against fltk >= 1.3.0. From upstream trunk
# http://sourceforge.net/tracker/?func=detail&aid=3175784&group_id=62934&atid=502312
Patch1:         zynaddsubfx-fedora-0f236881.patch
License:        GPLv2+
Group:          Sound
URL:            http://sourceforge.net/projects/zynaddsubfx
BuildRequires:  libalsa-devel
BuildRequires:  fltk-devel
BuildRequires:  fftw3-devel
BuildRequires:  libjack-devel
BuildRequires:  mxml-devel
Provides:       ZynAddSubFX = %{version}-%{release}
Obsoletes:      ZynAddSubFX < %{version}-%{release}

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%prep
%setup -q -a 1 -n %{oname}-%{version}
%patch0 -p0
%patch1 -p1

# fix a header name - AdamW 2008/12
sed -i -e 's,Fl_Box.h,Fl_Box.H,g' ExternalPrograms/Controller/ControllerUI.fl

chmod 644 *.txt
mv %{oname}-doc-%{docver} html

%build
cd src
make OPTFLAGS="%{optflags}"
cd ../ExternalPrograms/Spliter
make
cd ../Controller/
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_datadir}/applications %{buildroot}/%{_datadir}/zynaddsubfx
install -m 755 src/zynaddsubfx %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}/%{_bindir}
install -m 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{buildroot}/%{_datadir}/applications
cp -a banks %{buildroot}/%{_datadir}/zynaddsubfx

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc examples html *.txt ZynAddSubFX.lsm 
%doc  ExternalPrograms/Spliter/readme.txt
%{_bindir}/zynaddsubfx
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*
%{_datadir}/zynaddsubfx/*




%changelog

* Sun Dec 11 2011 eatdirt <eatdirt> 2.4.1-2.mga2
+ Revision: 180473
- Rebuilt for fftw-3.3

* Mon Oct 31 2011 zezinho <zezinho> 2.4.1-1.mga2
+ Revision: 160694
- patch to build against fltk 1.3
- spec cleanup
- imported package zynaddsubfx

